Subject: Re: [lojban] Parser does not parse, heh

From: Lalo Martins <[email-masked]>
Date: Mon, 8 May 2000 21:39:23 -0300

Sorry to followup to myself on such a short notice, but I just
compiled it, so here is the "fix":

On Mon, May 08, 2000 at 09:15:56PM -0300, Lalo Martins wrote:
> lalo:~/falcon/src/lojban/parser> gcc -o parser.i386 *.c
> print.c:9: initializer element is not constant
> 
> The line in question is:
> 
> static FILE *stream = stdout;

Replacing it by:

/*static FILE *stream = stdout;*/
#define stream stdout

did the trick. It's kind of temporary, however (changing the
output stream would require a recompile). The correct fix is to
make "stream" into a variable and have an initialization
function that sets it to stdout.

> I'm also contributing a Makefile

Oops, I missed a line.

[]s,
|alo
+----
--
Hack and Roll ( http://www.hackandroll.org )
News for, uh, whatever it is that we are.

http://www.webcom.com/lalo mailto:[email-masked]
pgp key in the personal page

Brazil of Darkness (RPG) --- http://zope.gf.com.br/BroDar